:root {
    --primary: #1E2A38;
    --secondary: #D4AF37;
    --background: #D8D8D8;
    --text: #222;
    --light: #F8F8F8;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: var(--background);
    color: var(--text);
}

header {
    background: var(--primary);
    color: #fff;
    padding: 1.5rem;
    height: 50px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}

/*    header img {
        height: 50px;
        position: center
    }*/

    header aa {
        font-size: 2rem;
        font-weight: bold;
    }

.navbar {
    list-style: none;
    display: flex;
    gap: 2rem;
    margin: 0;
    padding: 0;
    justify-content: right;
}

    .navbar li a {
        color: white;
        text-decoration: none;
        font-weight: bold;
        transition: color 0.3s;
    }

        .navbar li a:hover {
            color: var(--secondary)
        }

.hero {
    background: var(--light);
    text-align: center;
    padding: 4rem 2rem;
}

    .hero h1 {
        margin-bottom: 0.5rem;
        font-size: 2.5rem;
    }

    .hero p {
        font-size: 1.2rem;
        margin-bottom: 1.5rem;
    }

.info-card {
    background: var(--secondary);
    padding: 1.5rem;
    border-radius: 8px;
    border: 4px solid white;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    transition: 0.3s;
    text-align: left;
}

    .info-card h3 {
        margin-top: 0;
        color: var(--text);
    }

    .info-card ul {
        padding-left: 1rem;
        margin-top: 0.5rem;
        color: var(--text);
    }

    .info-card:hover {
        box-shadow: 0 8px 12px rgba(0,0,0,0.2);
    }

.info-card-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 1.5rem;
    padding-top: 1.5rem;
}

.card-grid-restaurants {
    display: grid;
    grid-template-columns: repeat(3, minmax(250px, 1fr));
    gap: 1.5rem;
    padding-top: 1.5rem;
}

.grid-wrapper {
    display: flex;
    justify-content: center;
}

.btn {
    padding: 0.8rem 1.5rem;
    background: var(--secondary);
    color: white;
    border: none;
    cursor: pointer;
    font-size: 1rem;
}

section {
    padding: 2rem;
    max-width: 900px;
    margin: auto;
}

.services ul {
    list-style: none;
    padding: 0;
}

.services li {
    background: white;
    margin-bottom: 1rem;
    padding: 1rem;
    border-left: 5px solid var(--secondary);
}

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 1rem;
    padding: 2rem;
    max-width: 1000px;
    margin: auto;
}

    .gallery img {
        width: 100%;
        height: auto;
        border: 4px solid white;
        box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
        object-fit: cover;
        cursor: pointer;
        transition: transform 0.2s;
    }

        .gallery img:hover {
            transform: scale(1.03);
        }

.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    z-index: 999;
}

    .lightbox img {
        max-width: 90%;
        max-height: 90%;
    }

    .lightbox:target {
        display: flex;
    }

footer {
    background: var(--primary);
    color: white;
    text-align: center;
    padding: 1.5rem;
    margin-top: 2rem;
}

.wrapper {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.content {
    flex: 1;
}

.contact {
    padding: 2rem;
    background-color: var(--light);
    max-width: 900px;
    margin: auto;
    text-align: center;
    align-content: center;
    justify-content: center;
}

    .contact h2 {
        color: var(--primary);
        margin-bottom: 1rem;
    }

    .contact p {
        color: #444;
        margin-top: 1rem;
    }


.contact-form input, .contact-form textarea {
    max-width: 900px;
    width: 96%;
    padding: 0.8rem;
    margin-bottom: 1rem;
    border: 1px solid #ccc;
}

.contact-form button {
    width: 100%;
    background: var(--secondary);
    color: white;
    padding: 0.8rem;
    border: none;
    font-size: 1rem;
}

#success-message {
    display: none;
    margin-top: 1rem;
    color: green;
    font-weight: bold;
}

.card-flip {
    perspective: 1000px;
    width: 300px;
    height: 200px;
    margin: 1.5rem;
}

.card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    transition: transform 0.8s ease;
    transform-style: preserve-3d;
}

.card-flip:hover .card-inner {
    transform: rotateY(180deg);
}

.card-front, .card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 1.5rem;
    border-radius: 8px;
    background: white;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    backface-visibility: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.card-front {
    background-color: #ffffff;
    color: #1E2A38;
    border: 1px solid #ccc;
    border-left: 5px solid var(--secondary);
}

.card-back {
    background-color: #1E2A38;
    color: #ffffff;
    transform: rotateY(180deg);
    border: 1px solid #ccc;
    border-right: 10px solid var(--secondary);
}

.card-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 1.5rem;
    padding: 1rem 0;
}

.info-box {
    background: var(--light);
    padding: 1.5rem;
    border-radius: 8px;
    border: 4px solid #455f7eff;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    transition: 0.3s;
    text-align: left;
    width: auto;
}

    .info-box h2 {
        margin-top: 0;
        color: var(--text);
    }

    .info-box:hover {
        box-shadow: 0 8px 12px rgba(0,0,0,0.2);
    }

.btn-container {
    display: flex;
    justify-content: center;
}

.final-line {
    font-size: 1.3rem;
    font-weight: 600;
    color: var(--primary);
    text-align: center;
    margin-top: 2rem;
    line-height: 1.6;
}

    .final-line .highlight {
        color: var(--secondary);
        font-size: 1.5rem;
/*        font-style: italic;*/
        display: block;
        margin-top: 0.5rem;
    }

th {
    border: 1px solid black;
    border-radius: 10px;
}

td {
    text-align: center;
}

.grid-gallery {
    --size: 100px;
    justify-content: center;
    display: grid;
    grid-template-columns: repeat(6, var(--size));
    grid-auto-rows: var(--size);
    gap: 10px;
    place-items: start center;
    margin-bottom: var(--size);
}

    .grid-gallery img {
        width: calc(var(--size)*2);
        height: calc(var(--size)*2);
        object-fit: cover;
        grid-column: auto / span 2;
        border-radius: 5px;
        clip-path: path("M90,10 C100,0 100,0 110,10 190,90 190,90 190,90 200,100 200,100 190,110 190,110 110,190 110,190 100,200 100,200 90,190 90,190 10,110 10,110 0,100 0,100 10,90Z");
        transition: clip-path 0.25s, filter 0.75s;
    }

        .grid-gallery img:nth-child(5n - 1) {
            grid-column: 2 / span 2
        }

        .grid-gallery img:hover {
            clip-path: path("M0,0 C0,0 200,0 200,0 200,0 200,100 200,100 200,100 200,200 200,200 200,200 100,200 100,200 100,200 100,200 0,200 0,200 0,100 0,100 0,100 0,100 0,100Z");
            transition: clip-path 0.25s, filter 0.25s;
            z-index: 1;
        }

    .grid-gallery:has(img:hover) img:not(:hover) {
        filter: brightness(0.5) contrast(0.5);
    }

.accordion {
    background-color: #eee;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    text-align: left;
    border: none;
    outline: none;
    transition: 0.4s;
}

    .active, .accordion:hover {
        background-color: #ccc;
    }

.panel {
    padding: 0 18px;
    background-color: white;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}
